summaryrefslogtreecommitdiff
path: root/extra/facile
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/facile
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/facile')
-rw-r--r--extra/facile/PKGBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/extra/facile/PKGBUILD b/extra/facile/PKGBUILD
new file mode 100644
index 000000000..217de93c7
--- /dev/null
+++ b/extra/facile/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 88117 2010-08-19 14:40:05Z tpowa $
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=facile
+pkgver=1.1
+pkgrel=12
+pkgdesc="A Functional Constraint Library"
+arch=(i686 x86_64)
+url="http://www.recherche.enac.fr/opti/facile/"
+license="LGPL"
+makedepends=('ocaml')
+depends=()
+source=(http://www.recherche.enac.fr/opti/facile/distrib/$pkgname-$pkgver.tar.gz)
+md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure
+ make || return 1
+ mkdir -p $startdir/pkg/usr/lib/ocaml/facile
+ cd src
+ install -D -m 644 facile.cmxa facile.cmi facile.cma facile.a $startdir/pkg/usr/lib/ocaml/facile
+}